package com.bcxin.risk.report.enums;

/**
 * 分配状态
 * @author bcxin
 *
 */
public enum AssignStatus {
	
	
	NON{public String getValue(){return "0";} public String getName(){return "未分配";}},

	NOTPASS {public String getValue(){return "1";} public String getName(){return "不通过";}},
	
	PASS {public String getValue(){return "2";} public String getName(){return "通过";}},

	CLOSE{public String getValue(){return "9";} public String getName(){return "关闭";}}; 
	
    public abstract String getValue();
    
    public abstract String getName();
    
    public static AssignStatus convert_value(String value){
    	if ( "0".equals(value) ) {
    		return AssignStatus.NON;
    	} else if ("1".equals(value)) {
    		return AssignStatus.NOTPASS;
    	}else if ("2".equals(value)) {
    		return AssignStatus.PASS;
    	}else if ("9".equals(value)) {
    		return AssignStatus.CLOSE;
    	}
    	return null;
    }
 
}
